<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Breaking News Panel
| Version 1.0.0
| Copyright  2006 - 2013 PHP Fusion Deutschland
| http://www.phpfusion-deutschland.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (file_exists(INFUSIONS."breaking_news_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."breaking_news_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."breaking_news_panel/locale/German.php";
}

$newsitems = 10;
$shortinfo = 63;

echo '
<script src="'.INFUSIONS.'breaking_news_panel/js/jquery.vticker.js"></script>
<script type="text/javascript">
<!--
	$(function() {
      $(\'#newsticker\').vTicker(\'init\', {speed: 1500, 
    pause: 3500,
    showItems: 1,
    padding:4});
    });

-->
</script>';

opentable ("Aktuelle Nachrichten");

$result = dbquery("
    SELECT * FROM ".DB_NEWS."
    WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'
    ORDER BY news_sticky DESC, news_datestamp DESC LIMIT 0, $newsitems"); 
    
        if (dbrows($result)) {
            
            echo '<div id="newsticker">';
                echo '<ul>';
            
            while ($newsdata = dbarray($result)) { 
		
                echo '<li>'.THEME_BULLET.' '.showdate("%d %B %Y -  %H:%M Uhr", $newsdata["news_datestamp"]).' - 
                <a href="'.BASEDIR.'news.php?readmore='.$newsdata["news_id"].'" title="'.$newsdata["news_subject"].'"><strong>
                '.trimlink(strip_tags(stripslashes($newsdata["news_subject"])), $shortinfo).'</strong></a></li>';
    
            }
                echo '</ul>';
            echo '</div>';
        }
closetable ();

?>